%define abi 1.0

Name:           schroedinger
Version:        1.0.11
Release:    1%{?dist}
Summary:        Portable libraries for the high quality Dirac video codec

License:        GPL+ or LGPLv2+ or MIT or MPLv1.1
URL:            http://schrodinger.sourceforge.net/schrodinger_faq.php
Source0:        http://www.diracvideo.org/download/schroedinger/schroedinger-%{version}.tar.gz

BuildRequires: make
BuildRequires:  gcc gcc-c++
BuildRequires:  orc-devel >= 0.4.16
BuildRequires:  glew-devel >= 1.5.1
BuildRequires:  gtk-doc
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool


%description
The Schrödinger project will implement portable libraries for the high
quality Dirac video codec created by BBC Research and
Development. Dirac is a free and open source codec producing very high
image quality video.

The Schrödinger project is a project done by BBC R&D and Fluendo in
order to create a set of high quality decoder and encoder libraries
for the Dirac video codec.

%package devel
Summary:        Development files for schroedinger
Requires:       %{name} = %{version}-%{release}
Requires:       orc-devel >= 0.4.10

%description devel
Development files for schroedinger


%prep
%setup -q
gtkdocize
autoreconf -fiv


%build
%configure --disable-static --enable-gtk-doc

sed -i.rpath 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i.rpath 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make_build


%install
%make_install
find %{buildroot} -name \*.la -delete




%files
%doc NEWS TODO
%license COPYING*
%{_libdir}/libschroedinger-%{abi}.so.*


%files devel
%doc %{_datadir}/gtk-doc/html/schroedinger
%{_includedir}/schroedinger-%{abi}
%{_libdir}/*.so
%{_libdir}/pkgconfig/schroedinger-%{abi}.pc


%changelog
* Mon Apr 15 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.11-1
- initial build
